Name:		analitza
Summary:	Library that will let you add mathematical features to your program
Version: 4.9.3
Release: 1
Group:		Graphical desktop/KDE
License:	LGPLv2
URL:		http://edu.kde.org
Source:		ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	kdelibs4-devel
BuildRequires:	readline-devel

%description
The analitza library will let you add mathematical features to your program.

#---------------------------------------------

%package -n calgebra
Summary:	Console mathematical calculator
Group:		Graphical desktop/KDE
Conflicts:	kalgebra < 4.7.90

%description -n calgebra
Console interface for a mathematical calculator based content markup MathML
language.

%files -n calgebra
%{_kde_bindir}/calgebra

#---------------------------------------------

%define analitza_major 4
%define libanalitza %mklibname analitza %{analitza_major}

%package -n %{libanalitza}
Summary:	Runtime library for marble
Group:		System/Libraries

%description -n %{libanalitza}
Runtime library for marble

%files -n %{libanalitza}
%{_kde_libdir}/libanalitza.so.%{analitzagui_major}*

#---------------------------------------------

%define analitzagui_major 4
%define libanalitzagui %mklibname analitzagui %{analitzagui_major}

%package -n %{libanalitzagui}
Summary:	Runtime library for marble
Group:		System/Libraries

%description -n %{libanalitzagui}
Runtime library for marble

%files -n %{libanalitzagui}
%{_kde_libdir}/libanalitzagui.so.%{analitzagui_major}*

#---------------------------------------------

%package devel
Summary:	Devel stuff for %{name}
Group:		Development/KDE and Qt
Requires:	kdelibs4-devel
Requires:	%{libanalitza} = %{EVRD}
Requires:	%{libanalitzagui} = %{EVRD}

%description devel
Files needed to build applications based on %{name}.

%files devel
%{_kde_includedir}/analitza
%{_kde_includedir}/analitzagui
%{_kde_libdir}/libanalitza.so
%{_kde_libdir}/libanalitzagui.so
%{_kde_libdir}/cmake/analitza

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build



%changelog
* Wed Nov 07 2012 Crispin Boylan <crisb@mandriva.org> 4.9.3-1
+ Revision: 822118
- New release

* Wed Oct 03 2012 Crispin Boylan <crisb@mandriva.org> 4.9.2-1
+ Revision: 818255
- New release

* Sat Aug 04 2012 Crispin Boylan <crisb@mandriva.org> 4.9.0-1
+ Revision: 811781
- New release

* Sun Jul 15 2012 Crispin Boylan <crisb@mandriva.org> 4.8.97-1
+ Revision: 809395
- New release

* Sat Jun 09 2012 Crispin Boylan <crisb@mandriva.org> 4.8.4-1
+ Revision: 803730
- New release

* Fri May 04 2012 Crispin Boylan <crisb@mandriva.org> 4.8.3-1
+ Revision: 796277
- New release

* Thu Apr 19 2012 Crispin Boylan <crisb@mandriva.org> 4.8.2-1
+ Revision: 792020
- New release

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New upstream tarball

* Sun Feb 26 2012 Andrey Bondrov <abondrov@mandriva.org> 4.8.0-2
+ Revision: 780796
- Add BuildRequires libreadline-devel and calgebra subpackage

* Thu Jan 19 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.8.0-1
+ Revision: 762439
- New upstream tarball

* Fri Jan 06 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.97-1
+ Revision: 758030
- New upstream tarball

* Thu Dec 22 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.95-1
+ Revision: 744506
- New upstream tarball

* Fri Dec 09 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.90-1
+ Revision: 739342
- New upstream tarball

* Wed Nov 23 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.80-1
+ Revision: 732995
- Import analitza
- create analitza repo

